Subject: Re: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Feb 2025 10:36:16 -0500

> What is the semantics of this?  If the user closes the lid of the
> laptop, and that was defined to put the system to sleep, does such
> "inhibiting" mean the system will not sleep?  If so, I'm not sure this
> is supported.

Don't know about "supported", but failing to sleep when the laptop is
closed can be a major problem (I only experienced the milder versions,
like finding my laptop with an empty battery, or my backpack all dirty
with melted chocolate, but overheating can be a serious issue).

[ Of course, it can also be useful, when the laptop is docked into
  a keyboard+screen station, or when you want to use it as a headless
  server.  ]

        Stefan